Last Comment Bug 741644 - Implement dppx unit for resolution media query
: Implement dppx unit for resolution media query
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: unspecified
: All All
: P3 normal with 1 vote (vote)
: mozilla16
Assigned To: David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
:
Mentors:
Depends on:
Blocks: css3-values
  Show dependency treegraph
 
Reported: 2012-04-02 16:54 PDT by fantasai
Modified: 2013-07-11 20:02 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (7.04 KB, patch)
2012-07-05 18:18 PDT, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
bzbarsky: review+
Details | Diff | Review

Description fantasai 2012-04-02 16:54:28 PDT
CSS3 Values and Units defines a 'dppx' unit for <resolution>.
  http://www.w3.org/TR/css3-values/#resolution

This bug is for implementing it.

Note: This would implement the same functionality as the non-standard 'device-pixel-ratio' query added in bug 474356.
Comment 1 Sebastian Zartner 2012-05-25 02:09:02 PDT
Note that there's currently a discussion about renaming 'dppx' to just 'x':

http://lists.w3.org/Archives/Public/www-style/2012May/0915.html

Sebastian
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-07-05 18:18:27 PDT
Created attachment 639544 [details] [diff] [review]
patch

goes on top of bug 771390
Comment 3 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-07-06 10:37:37 PDT
Basically passed try (though a few Windows tests still pending):
try: --build d --platform linux,macosx64,win32,android --unittests all --talos none --no-emails
https://tbpl.mozilla.org/?tree=Try&rev=afa60b026c46
Comment 4 Boris Zbarsky [:bz] (Out June 25-July 6) 2012-07-07 21:19:33 PDT
Comment on attachment 639544 [details] [diff] [review]
patch

r=me
Comment 5 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-07-07 22:34:46 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/a9a5832fc798
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-07-08 10:51:04 PDT
https://hg.mozilla.org/mozilla-central/rev/a9a5832fc798
Comment 7 Jean-Yves Perrier [:teoli] 2012-07-20 07:58:19 PDT
I've updated: https://developer-new.mozilla.org/en-US/docs/CSS/Resolution who describes the <resolution> data type

and

https://developer-new.mozilla.org/en-US/docs/Firefox_16_for_developers.

(For the moment, until Kuma goes live in a few days, it isn't visible on the main wiki, only via the link given — later remove -new from the URL)
Comment 8 fantasai 2012-07-20 08:31:15 PDT
Can you also update our page on 'device-pixel-ratio' to show 'resolution: Ndppx' as the standardized alternative?
Comment 9 Jean-Yves Perrier [:teoli] 2012-07-21 13:54:19 PDT
I've indicate the info on -moz-device-pixel-ratio in https://developer-new.mozilla.org/en-US/docs/CSS/Media_queries (with a link to your CSSWG article)

Thanks for the hint. It was clearly needed.
Comment 10 Tim Guan-tin Chien [:timdream] (please needinfo; OOO and on leave until July) 2013-07-11 20:02:22 PDT
I've update the |resolution| section too.

Note You need to log in before you can comment on or make changes to this bug.